Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.transport.udp
Class UDPPacketReader.SessionRequestReader

    java.lang.Object
      net.i2p.router.transport.udp.UDPPacketReader.SessionRequestReader

Enclosing class:
  UDPPacketReader

    public class UDPPacketReader.SessionRequestReader

extends Object

Help read the SessionRequest payload

Field Summary
`static int` | `X_LENGTH`

Constructor Summary
`UDPPacketReader.SessionRequestReader()`

Method Summary
`void` | `readIP(byte[] target, int targetOffset)` what IP bob is reachable on
`int` | `readIPSize()`
`void` | `readX(byte[] target, int targetOffset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### X_LENGTH

    public static final int X_LENGTH

See Also:
  Constant Field Values

Constructor Detail

### UDPPacketReader.SessionRequestReader

    public UDPPacketReader.SessionRequestReader()

Method Detail

### readX

    public void readX(byte[] target,
                      int targetOffset)

### readIPSize

    public int readIPSize()

### readIP

    public void readIP(byte[] target,
                       int targetOffset)

  what IP bob is reachable on

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD